{# This means your page inherit from an existing template, it will already contains some html and allow to override what's inside the "blocks" #}
{% extends 'base.html.twig' %}

{% block stylesheets %}
    {# Any extra CSS for your page #}
{% endblock %}

{% block javascripts %}
    {# Any extra JS for your page #}
{% endblock %}

{% block title %}
- Backup
{% endblock %}

{% block content %}
    <h1>Données sauvegardées depuis "dinocard.net"</h1>
    <script>let data = null; let view = null;</script>
    {% for backup in myBackups %}
            <details>
                <summary><u>Backup {{ backup.id }}</u></summary>
                <pre id="json{{ backup.id }}"></pre>
            </details>
            <script>
                view = document.getElementById("json"+{{ backup.id }});
                data = '{{ backup.data | raw }}';
                view.textContent = JSON.stringify(JSON.parse(data), undefined, 2);
            </script>
    {% endfor %}
{% endblock %}